## org.gjt.sp.jedit.io
Class CopyFileWorker

    java.lang.Object
      org.gjt.sp.util.WorkRequest
          org.gjt.sp.jedit.io.CopyFileWorker

All Implemented Interfaces:
  java.lang.Runnable, ProgressObserver

    public class CopyFileWorker

extends WorkRequest

This worker will copy a file. Be careful it override files if the target already exists

Since:
  jEdit 4.3pre13

Constructor Summary
`CopyFileWorker(java.awt.Component comp, java.lang.String source, java.lang.String target)`

Method Summary
`void` `run()`

Methods inherited from class org.gjt.sp.util.WorkRequest
`setAbortable, setMaximum, setProgressMaximum, setProgressValue, setStatus, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyFileWorker

    public CopyFileWorker(java.awt.Component comp,
                          java.lang.String source,
                          java.lang.String target)

Parameters:
  `comp` - the component that will be used as parent in case of error
  `source` - the source VFS
  `target` - the target VFS

Method Detail

### run

    public void run()